package com.red.circle.console.app.service.app.game;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.game.GameKtvGiftConfigQryCmd;
import com.red.circle.other.inner.model.dto.game.GameKtvGiftConfigDTO;
import java.util.List;

/**
 * <p>
 * ktv礼物配置信息 服务类.
 * </p>
 *
 * @author zongpubin on 2023-05-05 18:06
 */
public interface GameKtvGiftConfigService {

  PageResult<GameKtvGiftConfigDTO> getSongGiftInfo(GameKtvGiftConfigQryCmd query);

  void addSongGift(GameKtvGiftConfigDTO param);

  void updateSongGift(GameKtvGiftConfigDTO param);

  void deleteSongGift(Long id, Long currentUidLong);

  List<GameKtvGiftConfigDTO> listByCondition(GameKtvGiftConfigQryCmd query);
}
